memories
Scout API 1.0.0 — see schemas for shared types.
GET /api/memories
list_user_memories
Responses
- 200 — OK
application/json→ MemoryResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/memories
create_memory
Request body
Content-Type: application/json
Schema: CreateMemoryRequest
Responses
- 201 — Created
application/json→ MemoryResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/memories/assistant/{assistant_id}
list_assistant_memories
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ MemoryResponseList- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/memories/{memory_id}
delete_memory
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
memory_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ MessageResponse- 422 — Unprocessable Content
application/json→ ValidationError
PATCH /api/memories/{memory_id}
update_memory
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
memory_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: UpdateMemoryRequest
Responses
- 200 — OK
application/json→ MemoryResponse- 422 — Unprocessable Content
application/json→ ValidationError